petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMTSSetSolutionFunction

set TS solution evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetSolutionFunction(DM dm,TSSolutionFunction func,void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with TS
| func | - solution function evaluation function, see TSSetSolution() for calling sequence
| ctx | - context for solution evaluation

### Note

TSSetSolutionFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the residual.

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian(), DMTSGetSolutionFunction()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages